Summary: NuSMV: a new symbolic model checker
Name: nusmv
Version: 2.5.0
Release: 1%{?dist}
License: LGPL
Group: Applications/Engineering
Source: http://nusmv.fbk.eu/distrib/NuSMV-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://nusmv.fbk.eu/
BuildRequires: cudd = 2.4.1-3%{?dist}, expat-devel, readline-devel, tetex-latex
Patch0: NuSMV-configure.patch

%description
NuSMV is a symbolic model checker developed as a joint project between the Formal Methods group in the Automated Reasoning System division at ITC- IRST, the Model Checking group at Carnegie Mellon University , the Mechanized Reasoning Group at University of Genova and the Mechanized Reasoning Group at  University of Trento.

NuSMV is a reimplementation and extension of SMV, the first model checker based on BDDs. NuSMV has been designed to be an open architecture for model checking, which can be reliably used for the verification of industrial designs, as a core for custom verification tools, as a testbed for formal verification techniques, and applied to other research areas.
NuSMV2, combines BDD-based model checking component that exploits the CUDD library developed by Fabio Somenzi at Colorado University and SAT-based model checking component that includes an RBC-based Bounded Model Checker, connected to the SIM SAT library developed by the University of Genova. 

%package devel
Summary: Development files for NuSMV
Group: Development/Libraries
Requires: nusmv = %{version}-%{release}
Requires: cudd-NuSMV

%description devel
Development files (headers and libraries) for NuSMV: a new symbolic model checker

%prep
%setup -q -n NuSMV-%{version}
rm -rf cudd-2.4.1.1  MiniSat zchaff
%patch0 -p0 -b .orig

%build
cd nusmv
aclocal
automake
autoconf
%configure --disable-minisat --disable-zchaff
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/
cd nusmv
%makeinstall
%makeinstall -C doc/html
rm $RPM_BUILD_ROOT/%{_datadir}/nusmv/README.{MiniSat,zChaff}
mkdir ../install-doc
mv -f $RPM_BUILD_ROOT/%{_datadir}/nusmv/{examples,doc/*,LGPL*,NEWS,README*,contrib} ../install-doc
rmdir $RPM_BUILD_ROOT/%{_datadir}/nusmv/doc
ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_datadir}/nusmv/doc

%clean
rm -rf $RPM_BUILD_ROOT install-doc

%files
%defattr(-,root,root)
%{_bindir}/NuSMV
%{_bindir}/ltl2smv
%{_datadir}/nusmv
%doc install-doc/*

%files devel
%{_includedir}/nusmv
%{_libdir}/*

%changelog
* Wed Mar 04 2009 Aleksey Nogin <rpm@nogin.org> - 2.4.3-2
- Fixing a bug in parserUtil's Parser_ReadFromString

* Fri Jan 30 2009 Aleksey Nogin <rpm@nogin.org> - 2.4.3-1
- Initial spec file
